<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrSocialInsuranceDataMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrSocialInsuranceData">
            <result property="soseid" column="SOSEID" jdbcType="VARCHAR"/>
            <result property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="so110" column="SO110" jdbcType="INTEGER"/>
            <result property="so210" column="SO210" jdbcType="INTEGER"/>
            <result property="so310" column="SO310" jdbcType="INTEGER"/>
            <result property="so410" column="SO410" jdbcType="INTEGER"/>
            <result property="so510" column="SO510" jdbcType="INTEGER"/>
            <result property="totalwagesSo110" column="TOTALWAGES_SO110" jdbcType="DECIMAL"/>
            <result property="totalwagesSo210" column="TOTALWAGES_SO210" jdbcType="DECIMAL"/>
            <result property="totalwagesSo310" column="TOTALWAGES_SO310" jdbcType="DECIMAL"/>
            <result property="totalwagesSo410" column="TOTALWAGES_SO410" jdbcType="DECIMAL"/>
            <result property="totalwagesSo510" column="TOTALWAGES_SO510" jdbcType="DECIMAL"/>
            <result property="totalwagesdis" column="TOTALWAGESDIS" jdbcType="VARCHAR"/>
            <result property="totalpaymentSo110" column="TOTALPAYMENT_SO110" jdbcType="DECIMAL"/>
            <result property="totalpaymentSo210" column="TOTALPAYMENT_SO210" jdbcType="DECIMAL"/>
            <result property="totalpaymentSo310" column="TOTALPAYMENT_SO310" jdbcType="DECIMAL"/>
            <result property="totalpaymentSo410" column="TOTALPAYMENT_SO410" jdbcType="DECIMAL"/>
            <result property="totalpaymentSo510" column="TOTALPAYMENT_SO510" jdbcType="DECIMAL"/>
            <result property="totalpaymentdis" column="TOTALPAYMENTDIS" jdbcType="VARCHAR"/>
            <result property="unpaidsocialinsSo110" column="UNPAIDSOCIALINS_SO110" jdbcType="DECIMAL"/>
            <result property="unpaidsocialinsSo210" column="UNPAIDSOCIALINS_SO210" jdbcType="DECIMAL"/>
            <result property="unpaidsocialinsSo310" column="UNPAIDSOCIALINS_SO310" jdbcType="DECIMAL"/>
            <result property="unpaidsocialinsSo410" column="UNPAIDSOCIALINS_SO410" jdbcType="DECIMAL"/>
            <result property="unpaidsocialinsSo510" column="UNPAIDSOCIALINS_SO510" jdbcType="DECIMAL"/>
            <result property="unpaidsocialinsdis" column="UNPAIDSOCIALINSDIS" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        SOSEID,ANCHEID,SO110,
        SO210,SO310,SO410,
        SO510,TOTALWAGES_SO110,TOTALWAGES_SO210,
        TOTALWAGES_SO310,TOTALWAGES_SO410,TOTALWAGES_SO510,
        TOTALWAGESDIS,TOTALPAYMENT_SO110,TOTALPAYMENT_SO210,
        TOTALPAYMENT_SO310,TOTALPAYMENT_SO410,TOTALPAYMENT_SO510,
        TOTALPAYMENTDIS,UNPAIDSOCIALINS_SO110,UNPAIDSOCIALINS_SO210,
        UNPAIDSOCIALINS_SO310,UNPAIDSOCIALINS_SO410,UNPAIDSOCIALINS_SO510,
        UNPAIDSOCIALINSDIS,S_EXT_DATATIME
    </sql>
</mapper>
